Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162215 - last full capacity of a battery is not updated in hal database
Summary: last full capacity of a battery is not updated in hal database
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 21:10 UTC by Paul Ionescu
Modified: 2013-03-06 03:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 00:39:31 UTC


Attachments (Terms of Use)
Maybe fixes the issue. (deleted)
2005-06-30 21:22 UTC, Richard Hughes
no flags Details | Diff

Description Paul Ionescu 2005-06-30 21:10:07 UTC
Description of problem:

The battery ACPI info about last full capacity from /proc/acpi/battery/BATx/info
is not updated.

How reproducible:

Allways


Steps to Reproduce:
1. When the battery is degrading a bit, and the last full battery info value is
updated by ACPI, the new value is not reflected in HAL database.
  
Actual results:
Value not updated.

Expected results:

Should be updated.

Additional info:

Maybe this value should be reread when there is an ACPI battery event.

Comment 1 Richard Hughes 2005-06-30 21:22:23 UTC
Created attachment 116191 [details]
Maybe fixes the issue.

I have no machine to build and test this at the moment, but I think this is the
solution to the problem.

Comment 2 David Zeuthen 2005-07-12 00:39:31 UTC
OK, I've put this into the upstream CVS. In the future, please report such
problems to the upstream mailing list as it's much more likely to get attention
faster (sorry for the lag, btw).


Note You need to log in before you can comment on or make changes to this bug.